##This is a hack! Don't use it unless you absolutely have to

nagios_host 'peterlang.com' do
	options 'use' => 'noping-host',
		'alias' => 'Peter Lang',
		'address' => 'www.peterlang.com',
		'contact_groups' => 'ops',
		'notes' => 'fab peterlang.restart:app_name=web,environment=prod',
		'active_checks_enabled' => 0
end
nagios_service 'peterlang.com-ActiveMQ REST Connection' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'peterlang.com',
		'display_name' => 'ActiveMQ REST Connection',
		'check_command' => 'http_check_api!web-1.irl.safaribooks.com!9105!/hawtio/jolokia/read/org.apache.activemq:type=Broker,brokerName=localhost,destinationType=Queue,destinationName=BP2SBO/QueueSize!admin:admin!30!60!"destinationName=BP2SBO"!200',
		'contact_groups' => 'admins_email_only,peterlang',
		'notes' => 'Peter Lang KUP ActiveMQ',
		'notes_url' => 'http://web-1.irl.safaribooks.com:9105/hawtio'
end

nagios_host 'brill-kup-prod' do
	options 'use' => 'noping-host',
		'alias' => 'Brill KUP Tunnel Prod',
		'address' => 'brill-kup-prod-0ee5eb12ed8adcf1.elb.eu-west-1.amazonaws.com',
		'contact_groups' => 'cs_escalation',
		'notes' => 'Brill VPN is likely down.  Contact Brill and watch tomcat-2.irl disk space',
		'active_checks_enabled' => 0
end
nagios_service 'brill-kup-prod-openwire' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill-kup-prod',
		'display_name' => 'Brill KUP ActiveMQ Openwire Prod',
		'check_command' => 'check_tcp!brill-kup-prod-0ee5eb12ed8adcf1.elb.eu-west-1.amazonaws.com!61616',
		'contact_groups' => 'cs_escalation',
		'notes' => 'Brill VPN is likely down.  Contact Brill and watch tomcat-2.irl disk space',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BRIL/pages/620167290/Brill+ActiveMQ+KUP+Tunnel+Servicing'
end


#############
# japma     #
#############

#Homepage
nagios_service 'japmaonline.org-Live Homepage: apma-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-1.irl.pubfactory.net',
		'display_name' => 'Live Homepage: apma-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/!"Journal of the American Podiatric Medical Association"!10!20!apma-web-1-live!apma-web-1.irl.pubfactory.net! --sni',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-1',
		'notes_url' => 'https://japmaonline.org'
end

nagios_service 'japmaonline.org-Live Homepage: apma-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-2.irl.pubfactory.net',
		'display_name' => 'Live Homepage: apma-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/!"Journal of the American Podiatric Medical Association"!10!20!apma-web-2-live!apma-web-2.irl.pubfactory.net! --sni',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-2',
		'notes_url' => 'https://japmaonline.org'
end

#Search
nagios_service 'japmaonline.org-Live Search: apma-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-1.irl.pubfactory.net',
		'display_name' => 'Live search: apma-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/search!Browse!10!20!apma-web-1-live!apma-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-1',
		'notes_url' => 'https://japmaonline.org/search'
end

nagios_service 'japmaonline.org-Live Search: apma-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-2.irl.pubfactory.net',
		'display_name' => 'Live search: apma-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/search!Browse!10!20!apma-web-2-live!apma-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-2',
		'notes_url' => 'https://japmaonline.org/search'
end

#Content
nagios_service 'japmaonline.org-Live content view: apma-web-1' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-1.irl.pubfactory.net',
		'display_name' => 'Live content view: apma-web-1',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/view/journals/apms/aop/21-194/21-194.xml!suicide!10!20!apma-web-1-live!apma-web-1.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-1',
		'notes_url' => 'https://japmaonline.org/view/journals/apms/aop/21-194/21-194.xml'
end
nagios_service 'japmaonline.org-Live content view: apma-web-2' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'apma-web-2.irl.pubfactory.net',
		'display_name' => 'Live content view: apma-web-2',
		'check_command' => 'http_content_check_basic_auth_single_node!apma:apma2021!/view/journals/apms/aop/21-194/21-194.xml!suicide!10!20!apma-web-2-live!apma-web-2.irl.pubfactory.net!',
		'contact_groups' => 'admins_email_only,apma',
		'notes' => 'APMA Live Site: apma-web-2',
		'notes_url' => 'https://japmaonline.org/view/journals/apms/aop/21-194/21-194.xml'
end
